<?php

namespace App\Http\Controllers\Yonetim;

use App\Http\Controllers\Controller;
use App\Models\Resimformat;
use App\Models\Yorumlar;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Image;


class YorumlarController extends Controller
{
    public function veriler(){
        $veriler = Yorumlar::latest()->get();

        return view('yonetim.yorumayar.yorumlar',compact('veriler'));
    }

    public function veriekle(){

        return view('yonetim.yorumayar.yorumekle');
    }

    public function veriekleson(Request $request){
        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {

            $resimbicimal=Resimformat::find(1);
            $resimtur=$resimbicimal->resimbicim;
            $resimkalite=$resimbicimal->resimkalite;


            $image = $request->file('resimyol');
            $dosyaAdi = pathinfo($image->getClientOriginalName(), PATHINFO_FILENAME);
            $dosyaAdi = str_replace(' ', '', $dosyaAdi);
            $rastgeleSayi = rand(10000, 99999); //
            $name_gen = $rastgeleSayi.'_'.$dosyaAdi.'.'.$resimtur;
            Image::make($image)->resize(150,150)->encode($resimtur, $resimkalite)->save('upload/yorum/'.$name_gen);
            $save_url = 'upload/yorum/'.$name_gen;



            Yorumlar::insert([
                'yazar' => $request->yazar,
                'icerik' => $request->icerik,
                'resimyol'=>$save_url,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),



            ]);

            return redirect()->route('yorumlar.all')->with('success', 'Yorum Eklendi...');
        }else{
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }




    }

    public function veriupdate($id){

        $veriler = Yorumlar::findOrFail($id);
        return view('yonetim.yorumayar.yorumupdate',compact('veriler'));
    }

    public function veriupdateson(Request $request,$id){


        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {


            if ($request->file('resimyol')) {


                $resimbicimal=Resimformat::find(1);
                $resimtur=$resimbicimal->resimbicim;
                $resimkalite=$resimbicimal->resimkalite;



                $image = $request->file('resimyol');
                $dosyaAdi = pathinfo($image->getClientOriginalName(), PATHINFO_FILENAME);
                $dosyaAdi = str_replace(' ', '', $dosyaAdi);
                $rastgeleSayi = rand(10000, 99999); //
                $name_gen = $rastgeleSayi.'_'.$dosyaAdi.'.'.$resimtur;
                Image::make($image)->resize(150,150)->encode($resimtur, $resimkalite)->save('upload/yorum/'.$name_gen);
                $save_url = 'upload/yorum/'.$name_gen;

                $eskiresimyol=$request->eskiresimyol;
                if (file_exists($eskiresimyol)){
                    unlink($eskiresimyol);

                }




                Yorumlar::findOrFail($id)->update([
                    'yazar' => $request->yazar,
                    'icerik' => $request->icerik,
                    'resimyol'=>$save_url,
                    'updated_at' => Carbon::now(),


                ]);


                return redirect()->route('yorumlar.all')->with('success', 'Yorum ve Resim Güncellendi...');
            }else{

                Yorumlar::findOrFail($id)->update([
                    'yazar' => $request->yazar,
                    'icerik' => $request->icerik,
                    'updated_at' => Carbon::now(),


                ]);



                return redirect()->route('yorumlar.all')->with('success', 'Yorum Güncellendi...');


            }
        }else{
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }




    }

    public function veridelete($id){

        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {
            $vericek = Yorumlar::findOrFail($id);
            $resimyol=$vericek->resimyol;

            if (file_exists($resimyol)){
                unlink($resimyol);

            }
            Yorumlar::findOrFail($id)->delete();


            return redirect()->back()->with('success', 'Silme İşlemi Tamamlandı...');
        }else{
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }


    }
}
